/*
 * $Id: DIComponentConfig.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * Copyright (C) 2005 SUGIMOTO Ken-ichi
 * 作成日: 2006/02/22
 */
package feat2.config;



/**
 * 依存関係の外部定義をサポートするインタフェース。
 * @author SUGIMOTO Ken-ichi
 */
public interface DIComponentConfig {

    public void addInput(InputConfigBase input);

    public InputConfigBase[] getInputs();

    public InputConfigBase getInputConfig(String propertyName);
}
